Jifty::Model::Metadata(3)

NAME
Jifty::Model::Metadata - Tracks Jifty-related metadata

SYNOPSIS
  my $app = Jifty->new(config_file => "$ProjectRoot/etc/config.yml");
  my $application_version = Jifty::Model::Metadata->load("application_db_version");

DESCRIPTION
Every Jifty application automatically inherits this table, which describes information about the Jifty database. It uses this information to smartly upgrade between application schema versions, as well as versions of Jifty itself, for instance.

  table
Each schema is stored in the table "_jifty_metadata".

  since
The metadata table first appeared in Jifty version 0.60427

  load KEY
Fetches the given "KEY" from the metadata store. Returns undef if such a key cannot be found.

  store KEY => VALUE
Stores the given "KEY" in the database, overwriting the previous value if it existed.